Compare commits
4
Commits
| Author | SHA1 | Date | |
|---|---|---|---|
|
|
6206abc073 | ||
|
|
eb3d4c4e47 | ||
|
|
a022e0cf6b | ||
|
|
2cdcef9e0a |
@@ -0,0 +1 @@
|
||||
openwsman-2.2.3.tar.bz2
|
||||
@@ -1 +0,0 @@
|
||||
openwsman-2.2.0.tar.bz2
|
||||
@@ -0,0 +1,21 @@
|
||||
# Makefile for source rpm: openwsman
|
||||
# $Id: Makefile,v 1.1 2008/10/13 10:50:29 huzaifas Exp $
|
||||
NAME := openwsman
|
||||
SPECFILE = $(firstword $(wildcard *.spec))
|
||||
|
||||
define find-makefile-common
|
||||
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$d/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
|
||||
endef
|
||||
|
||||
MAKEFILE_COMMON := $(shell $(find-makefile-common))
|
||||
|
||||
ifeq ($(MAKEFILE_COMMON),)
|
||||
# attept a checkout
|
||||
define checkout-makefile-common
|
||||
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
|
||||
endef
|
||||
|
||||
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
|
||||
endif
|
||||
|
||||
include $(MAKEFILE_COMMON)
|
||||
@@ -0,0 +1 @@
|
||||
openwsman-2_1_0-1_fc9:HEAD:openwsman-2.1.0-1.fc9.src.rpm:1225537021
|
||||
+13
-112
@@ -1,14 +1,12 @@
|
||||
diff -up ./etc/init/openwsmand.sh.in.new ./etc/init/openwsmand.sh.in
|
||||
--- ./etc/init/openwsmand.sh.in.new 2009-12-16 18:16:06.000000000 -0600
|
||||
+++ ./etc/init/openwsmand.sh.in 2009-12-16 18:16:18.000000000 -0600
|
||||
@@ -4,21 +4,21 @@
|
||||
diff -up openwsman-2.2.3/etc/init/openwsmand.sh.in.orig openwsman-2.2.3/etc/init/openwsmand.sh.in
|
||||
--- openwsman-2.2.3/etc/init/openwsmand.sh.in.orig 2010-01-21 11:12:34.000000000 +0100
|
||||
+++ openwsman-2.2.3/etc/init/openwsmand.sh.in 2010-03-02 14:29:31.618984202 +0100
|
||||
@@ -4,15 +4,13 @@
|
||||
# Provides: openwsmand
|
||||
# Required-Start: $remote_fs
|
||||
# Required-Stop: $network
|
||||
-# Default-Start: 2 3 4 5
|
||||
-# Default-Stop: 0 1 6
|
||||
+# Default-Start:
|
||||
+# Default-Stop:
|
||||
# Short-Description: Openwsman Daemon
|
||||
# Description: openwsmand
|
||||
# Start/Stop the Openwsman Daemon
|
||||
@@ -20,109 +18,12 @@ diff -up ./etc/init/openwsmand.sh.in.new ./etc/init/openwsmand.sh.in
|
||||
# description: Openwsman Daemon
|
||||
# processname: openwsmand
|
||||
|
||||
NAME=openwsmand
|
||||
DAEMON=/usr/sbin/$NAME
|
||||
-OPTIONS=
|
||||
+OPTIONS=-S
|
||||
PIDFILE=/var/run/$NAME.pid
|
||||
|
||||
if [ $EUID != 0 ]; then
|
||||
@@ -37,12 +37,14 @@ lockfile=${SVIlock:-/var/lock/subsys/$NA
|
||||
if [ -f "/etc/sysconfig/openwsman" ]; then
|
||||
. /etc/sysconfig/openwsman
|
||||
fi
|
||||
-# See how we were called.
|
||||
-. /etc/rc.status
|
||||
|
||||
-# Reset status of this service
|
||||
-rc_reset
|
||||
+if [ -f "/etc/SuSe-release" ]; then
|
||||
+ # See how we were called.
|
||||
+ . /etc/rc.status
|
||||
|
||||
+ # Reset status of this service
|
||||
+ rc_reset
|
||||
+fi
|
||||
|
||||
case "$1" in
|
||||
start)
|
||||
@@ -71,16 +73,28 @@ EOF
|
||||
|
||||
# Start daemons.
|
||||
echo -n "Starting the $DESCRIPTIVE"
|
||||
- startproc -p $PIDFILE $DAEMON > /dev/null 2>&1
|
||||
- rc_status -v
|
||||
+ if [ -f "/etc/SuSe-release" ]; then
|
||||
+ startproc -p $PIDFILE $DAEMON > /dev/null 2>&1
|
||||
+ rc_status -v
|
||||
+ elif [ -f "/etc/redhat-release" ]; then
|
||||
+ $DAEMON -S && echo " done." || echo " failed."
|
||||
+ fi
|
||||
+
|
||||
touch $lockfile
|
||||
;;
|
||||
|
||||
stop)
|
||||
# Stop daemons.
|
||||
echo -n "Shutting down $DESCRIPTIVE"
|
||||
- killproc -p $PIDFILE -TERM $DAEMON
|
||||
- rc_status -v
|
||||
+ if [ -f "/etc/SuSe-release" ]; then
|
||||
+ killproc -p $PIDFILE -TERM $DAEMON
|
||||
+ rc_status -v
|
||||
+ elif [ -f "/etc/redhat-release" ]; then
|
||||
+ kill -9 `pidof openwsmand` > /dev/null 2>&1
|
||||
+ if [ $? -eq 0 ]; then
|
||||
+ echo " done"
|
||||
+ fi
|
||||
+ fi
|
||||
rm -f $lockfile
|
||||
;;
|
||||
|
||||
@@ -91,19 +105,40 @@ EOF
|
||||
;;
|
||||
|
||||
reload)
|
||||
- echo -n "Reload service $DESCRIPTIVE"
|
||||
- killproc -p $PIDFILE -HUP $DAEMON
|
||||
- rc_status -v
|
||||
+ echo -n "Reloading service $DESCRIPTIVE"
|
||||
+ if [ -f "/etc-SuSe-release" ]; then
|
||||
+ killproc -p $PIDFILE -HUP $DAEMON
|
||||
+ rc_status -v
|
||||
+ elif [ -f "/etc/redhat-release" ]; then
|
||||
+ killall -HUP openwsmad && echo " done."|| echo " failed."
|
||||
+ fi
|
||||
;;
|
||||
|
||||
status)
|
||||
echo -n "Checking for service $DESCRIPTIVE"
|
||||
- checkproc -p $PIDFILE $DAEMON
|
||||
- rc_status -v
|
||||
+ if [ -f "/etc/SuSe-release" ]; then
|
||||
+ checkproc -p $PIDFILE $DAEMON
|
||||
+ rc_status -v
|
||||
+ elif [ -f "/etc/redhat-release" ]; then
|
||||
+ pidof opewsmand > /dev/null 2>&1
|
||||
+ if [ $? -eq 0 ]; then
|
||||
+ echo " running"
|
||||
+ else
|
||||
+ echo " stopped"
|
||||
+ fi
|
||||
+ fi
|
||||
+
|
||||
+ ;;
|
||||
+ condrestart)
|
||||
+ [ -f $lockfile ] && restart || :
|
||||
;;
|
||||
|
||||
*)
|
||||
- echo "Usage: $0 {restart|start|stop|reload|force-reload|status}"
|
||||
+ echo "Usage: $0 {restart|start|stop|reload|force-reload|status|condrestart}"
|
||||
esac
|
||||
|
||||
+if [ -f "/etc/SuSe-release" ]; then
|
||||
rc_exit
|
||||
+elif [ -f "/etc/redhat-release" ]; then
|
||||
+exit 0
|
||||
+fi
|
||||
@@ -61,7 +59,7 @@ start()
|
||||
if [ "x${FQDN}" = "x" ]; then
|
||||
FQDN=localhost.localdomain
|
||||
fi
|
||||
-cat << EOF | sh @SYSCONFDIR@/owsmangencert.sh > /dev/null 2>&1
|
||||
+cat << EOF | sh @libexecdir@/openwsman/owsmangencert.sh > /dev/null 2>&1
|
||||
--
|
||||
SomeState
|
||||
SomeCity
|
||||
|
||||
@@ -1,24 +0,0 @@
|
||||
Index: openwsman.conf
|
||||
===================================================================
|
||||
--- openwsman-2.0.0/etc/openwsman.conf (revision 3221)
|
||||
+++ openwsman-2.0.0/etc/openwsman.conf (working copy)
|
||||
@@ -4,7 +4,7 @@
|
||||
ssl_cert_file = /etc/openwsman/servercert.pem
|
||||
ssl_key_file = /etc/openwsman/serverkey.pem
|
||||
digest_password_file = /etc/openwsman/digest_auth.passwd
|
||||
-basic_password_file = /etc/openwsman/simple_auth.passwd
|
||||
+#basic_password_file = /etc/openwsman/simple_auth.passwd
|
||||
|
||||
min_threads = 4
|
||||
max_threads = 10
|
||||
@@ -15,8 +15,8 @@
|
||||
# Authentication backend for BASIC authentication. Default is to read a configuration file defined with 'basic_password_file'
|
||||
#
|
||||
|
||||
-#basic_authenticator = libwsman_pam_auth.so
|
||||
-#basic_authenticator_arg = openwsman
|
||||
+basic_authenticator = libwsman_pam_auth.so
|
||||
+basic_authenticator_arg = openwsman
|
||||
|
||||
#
|
||||
# WS-Management unauthenticated wsmid:Identify file
|
||||
@@ -1,2 +0,0 @@
|
||||
addFilter("devel-file-in-non-devel-package .*/usr/lib.*/openwsman/.*/.*")
|
||||
addFilter("openwsman-client.*shlib-policy-name-error.*")
|
||||
+23
-30
@@ -29,23 +29,20 @@ BuildRequires: python python-devel ruby ruby-devel perl
|
||||
BuildRequires: perl-devel pkgconfig openssl-devel
|
||||
BuildRequires: libtool
|
||||
Requires: net-tools
|
||||
Version: 2.2.0
|
||||
Release: 3%{?dist}
|
||||
Version: 2.2.3
|
||||
Release: 2%{?dist}
|
||||
Url: http://www.openwsman.org/
|
||||
License: BSD
|
||||
Group: Applications/System
|
||||
Summary: Opensource Implementation of WS-Management
|
||||
Source: %{name}-%{version}.tar.bz2
|
||||
Source1: %{name}.rpmlintrc
|
||||
Patch0: %{name}-pam-auth.patch
|
||||
Patch1: %{name}-initscript.patch
|
||||
Patch2: perl-bindings.patch
|
||||
Patch3: %{name}-randfile.patch
|
||||
Patch0: %{name}-initscript.patch
|
||||
Patch1: %{name}-randfile.patch
|
||||
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXXX)
|
||||
|
||||
%description
|
||||
Openwsman is a project intended to provide an open-source
|
||||
implementation of the Web Services Management specification
|
||||
implementation of the Web Services Management specipication
|
||||
(WS-Management) and to expose system management information on the
|
||||
Linux operating system using the WS-Management protocol. WS-Management
|
||||
is based on a suite of web services specifications and usage
|
||||
@@ -195,8 +192,6 @@ Authors:
|
||||
%setup -q
|
||||
%patch0 -p1
|
||||
%patch1 -p1
|
||||
%patch2 -p1
|
||||
%patch3 -p1
|
||||
|
||||
%build
|
||||
sh autoconfiscate.sh
|
||||
@@ -268,8 +263,8 @@ rm -f /var/log/wsmand.log
|
||||
%defattr(-,root,root)
|
||||
%{python_sitearch}/*.so
|
||||
%{python_sitelib}/*.py
|
||||
#%{python_sitelib}/*.pyc
|
||||
#%{python_sitelib}/*.pyo
|
||||
%{python_sitelib}/*.pyc
|
||||
%{python_sitelib}/*.pyo
|
||||
%doc AUTHORS COPYING ChangeLog README
|
||||
|
||||
%files ruby
|
||||
@@ -277,7 +272,7 @@ rm -f /var/log/wsmand.log
|
||||
%{ruby_sitearch}/openwsman.so
|
||||
%dir %{ruby_sitelib}/openwsman
|
||||
%{ruby_sitelib}/openwsman/openwsman.rb
|
||||
%{ruby_sitelib}/openwsman/wsxmlnode.rb
|
||||
%{ruby_sitelib}/openwsman/xmlnode.rb
|
||||
%doc AUTHORS COPYING ChangeLog README
|
||||
|
||||
%files perl
|
||||
@@ -315,25 +310,23 @@ rm -f /var/log/wsmand.log
|
||||
|
||||
|
||||
%changelog
|
||||
* Wed Dec 16 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-3
|
||||
- Changed the random file used by openssl to generate a certificate while
|
||||
- starting the openwsman-server service
|
||||
* Thu Apr 15 2010 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.3-2
|
||||
- Updated the spec file to adhere to the upstream standard of breaking
|
||||
- the package in server, client, lib modules
|
||||
- randfile.patch: when openwsmand daemon creates a certificate the
|
||||
- first time it needs a file which have random content it. This
|
||||
- is pointed to $HOME/.rnd in /etc/openwsman/ssleay.cnf. Changed this
|
||||
- random file to /dev/urandom.
|
||||
- initscript.patch: patch to edit the init script so that the services
|
||||
- are not started by default.
|
||||
|
||||
* Wed Dec 9 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-2
|
||||
- Re-wrote the spec file to break the openwmsman pkg into lib, client
|
||||
- and server components following the upstream spec file.
|
||||
|
||||
* Thu Oct 1 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-1
|
||||
- Updated the sources to 2.2.0. Couple of major changes are as follows:
|
||||
- Major changes:
|
||||
- Adapt IANA ports of 5985 (http) and 5986 (https)
|
||||
- Change the Ruby bindings module name to 'Openwsman'
|
||||
- Change the Ruby plugin module name to 'Openwsman'
|
||||
- IPv6 support (A_Venkatachalam@Dell.com)
|
||||
- preliminary support for wbem intrinsic operations
|
||||
- 'EnumerateClassNames' and 'GetClass' (kkaempf@suse.de)
|
||||
- (needs fixed sblim-sfcc, see www.openwsman.org for details)
|
||||
|
||||
* Wed Mar 3 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 2.2.3-1
|
||||
- Update to openwsman-2.2.3
|
||||
|
||||
* Wed Sep 23 2009 Praveen K Paladugu <praveen_paladugu@dell.com> - 2.2.0-1
|
||||
- Added the new 2.2.0 sources.
|
||||
- Changed the release and version numbers.
|
||||
|
||||
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.1.0-4
|
||||
- rebuilt with new openssl
|
||||
|
||||
@@ -1,22 +0,0 @@
|
||||
diff -up openwsman-2.2.0/bindings/perl/Makefile.am.org openwsman-2.2.0/bindings/perl/Makefile.am
|
||||
--- openwsman-2.2.0/bindings/perl/Makefile.am.org 2009-12-10 13:34:55.000000000 -0600
|
||||
+++ openwsman-2.2.0/bindings/perl/Makefile.am 2009-12-10 13:35:56.000000000 -0600
|
||||
@@ -33,6 +33,7 @@ SWIG_INPUT = ../openwsman.i
|
||||
openwsman_la_SOURCES = openwsman_wrap.c \
|
||||
../openwsman.c \
|
||||
$(SWIG_INPUT)
|
||||
+all-local: openwsman.pm
|
||||
|
||||
openwsman_la_LIBADD = $(LIBS) -lpthread $(CURL_LIBS)
|
||||
|
||||
diff -up openwsman-2.2.0/bindings/perl/Makefile.in.org openwsman-2.2.0/bindings/perl/Makefile.in
|
||||
--- openwsman-2.2.0/bindings/perl/Makefile.in.org 2009-12-10 13:35:03.000000000 -0600
|
||||
+++ openwsman-2.2.0/bindings/perl/Makefile.in 2009-12-10 13:36:18.000000000 -0600
|
||||
@@ -289,6 +289,7 @@ SWIG_INPUT = ../openwsman.i
|
||||
openwsman_la_SOURCES = openwsman_wrap.c \
|
||||
../openwsman.c \
|
||||
$(SWIG_INPUT)
|
||||
+all-local: openwsman.pm
|
||||
|
||||
openwsman_la_LIBADD = $(LIBS) -lpthread $(CURL_LIBS)
|
||||
openwsman_la_LDFLAGS = -module -avoid-version $(NO_UNDEFINED)
|
||||
Reference in New Issue
Block a user